// TODO:
// - import drowl-sass-base styles to all drowl_base.x.scss
// - add all the styles as drupal libraries (base, components, .. we can override single css files in the
//   child theme, so we dont need a single library for each file.
// - add all the files to the webpack config (watcher)
// - the child theme doesnt need to have many libraries, probably we can simply stick with the radix
//   default on this side.

@import "../init";

// Define your fonts here (using Google Webfont Helper)

/* poppins-300 - latin */
@font-face {
  font-display: swap;
  font-family: "Poppins";
  font-style: normal;
  font-weight: 300;
  src: url("../../fonts/poppins-v20-latin-300.woff2") format("woff2");
}

/* poppins-600 - latin */
@font-face {
  font-display: swap;
  font-family: "Poppins";
  font-style: normal;
  font-weight: 600;
  src: url("../../fonts/poppins-v20-latin-600.woff2") format("woff2");
}

// Define your custom typography/classes here.
// -----------------------------------------------------------------------------

// =============================================================================
//  Headings
// =============================================================================

// @include headings-style() {
//   // Contextual Heading Colors Support:
//   // .box-style's etc. can override the CSS variable
//   // while the SCSS foundation variable is used for the
//   // regular color.
//   // color: var(--header-color, #{$header-color});

//   // Prevent linked headings from being underlined
//   a {
//     text-decoration: none;
//   }
// }

// =============================================================================
//  Formatters
// =============================================================================

// =============================================================================
//  Misc
// =============================================================================

p {
  &:last-child {
    margin-bottom: 0;
  }
}
